The jailbreak hacker extraordinaire, @pod2g, has recently made a few comments regarding the development of an iOS 5.1-compatible solution for A5(+) iOS devices – in other words, the iPhone 4S,  iPad 2 and third-generation iPad.

In a series of Twitter updates ([1], [2] and [3]), the French iOS security researcher posted the following message:

About 5.1 jailbreak for A5+ devices : it’s not out and I have no clue when it’ll happen. I’m working some hours per week on finding vulns. [...] But right now we (cdev) have some pieces of a userland jailbreak, but we miss some, and even if we had them all, there’s weeks of work… [...] … to put them all together in a public ready tool.

Clearly, a jailbreak solution for Apple’s A5 and A5X iOS devices isn’t exactly around the corner.

For now, jailbreak fans with an iPhone 4S, iPad 2 or third-gen iPad are going to have to avoid iOS 5.1 like the plague – with any luck, @pod2g and his “jailbreak dream team” will find the remaining pieces of the puzzle soon. But, as @pod2g notes in his Twitter updates, a best-case-scenario still gives a time frame of at least “weeks of work,” before an iOS 5.1 A5+ compatible jailbreak hits the Web.

As always, we’ll keep you posted – so be sure to check back with us.